summaryrefslogtreecommitdiffstats
path: root/acompiler/acerhk/acerhk
diff options
context:
space:
mode:
Diffstat (limited to 'acompiler/acerhk/acerhk')
-rwxr-xr-xacompiler/acerhk/acerhk50
1 files changed, 50 insertions, 0 deletions
diff --git a/acompiler/acerhk/acerhk b/acompiler/acerhk/acerhk
new file mode 100755
index 000000000..b54018f84
--- /dev/null
+++ b/acompiler/acerhk/acerhk
@@ -0,0 +1,50 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/acerhk
+#
+# Description : Lance le service pour les acer hotkey
+#
+# Authors : geantbrun
+#
+# Version : 00.00
+#
+# Notes :
+#
+########################################################################
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+
+case "${1}" in
+ start)
+ boot_mesg "Starting Acer Hotkey Wireless LED..."
+ if [ ! -f /proc/driver/acerhk/wirelessled ]; then
+ echo_failure
+ else
+ echo 1 > /proc/driver/acerhk/wirelessled
+ echo_ok
+ fi;;
+
+ stop)
+ boot_mesg "Stopping Acer Hotkey Wireless LED..."
+ if [ ! -f /proc/driver/acerhk/wirelessled ]; then
+ echo_failure
+ else
+ echo 0 > /proc/driver/acerhk/wirelessled
+ echo_ok
+ fi;;
+
+ restart)
+ ${0} stop
+ sleep 1
+ ${0} start
+ ;;
+
+
+ *)
+ echo "Usage: ${0} {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/acerhk